Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Class ComboBoxPeer

    java.lang.Object
      echopointng.ui.syncpeer.AbstractEchoPointPeer
          echopointng.ui.syncpeer.AbstractEchoPointContainerPeer
              echopointng.ui.syncpeer.PopUpPeer
                  echopointng.ui.syncpeer.ComboBoxPeer

All Implemented Interfaces:
  ComponentSynchronizePeer, DomUpdateSupport, PropertyUpdateProcessor

    public class ComboBoxPeer

extends PopUpPeer

`ComboBoxPeer` is the peer for the `ComboBox`

Field Summary
`static Service` | `COMBOBOX_SERVICE` Service to provide supporting JavaScript library.
`protected static Insets` | `DEFAULT_ITEM_INSETS`

Fields inherited from class echopointng.ui.syncpeer.PopUpPeer
`POPUP_DEFAULT_TOGGLE_IMAGE, POPUP_SERVICE`

Fields inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`DEFAULT_CONTAINER_TAG, partialUpdateManager`

Fields inherited from interface nextapp.echo2.webcontainer.PropertyUpdateProcessor
`PROPERTY_NAME, PROPERTY_VALUE`

Constructor Summary
`ComboBoxPeer()`

Method Summary
`protected void` | `createInitDirective(RenderingContext rc, ComboBox combo)` Renders a directive to the outgoing `ServerMessage` to initialize the state of a ComboBox, performing tasks such as registering event listeners on the client and creating the EPComboBox JS object.
`protected org.w3c.dom.Element` | `renderBox(RenderingContext rc, Component component, Style fallbackStyle)` This is called to render the popup floating box.

Methods inherited from class echopointng.ui.syncpeer.PopUpPeer
`createDisposeDirective, createInitDirective, processPropertyUpdate, renderDispose, renderHtml, renderUpdate`

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointContainerPeer
`getContainerId`

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`disposeRenderState, renderAdd, renderHtml, renderReplaceableChild, renderUpdateAddChildren, renderUpdateBaseImpl, renderUpdateRemoveChildren, retreiveRenderState, storeRenderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ITEM_INSETS

    protected static final Insets DEFAULT_ITEM_INSETS

### COMBOBOX_SERVICE

    public static final Service COMBOBOX_SERVICE

  Service to provide supporting JavaScript library.

Constructor Detail

### ComboBoxPeer

    public ComboBoxPeer()

Method Detail

### renderBox

    protected org.w3c.dom.Element renderBox(RenderingContext rc,
                                            Component component,
                                            Style fallbackStyle)

  This is called to render the popup floating box. Overrides the base implementation.

  Overrides:
    `renderBox` in class `PopUpPeer`
  Returns:
    a new top level Element for the floating box

### createInitDirective

    protected void createInitDirective(RenderingContext rc,
                                       ComboBox combo)

  Renders a directive to the outgoing `ServerMessage` to initialize the state of a ComboBox, performing tasks such as registering event listeners on the client and creating the EPComboBox JS object.

  Not that this does not overrride the base createInitDirective() but rather augments it by assuming it has run first.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD